searchData={"items":[{"type":"module","title":"HttpCookie","doc":"HTTP Cookie struct with parsing and related logic.\n\nImplemented according to [RFC6265](https://datatracker.ietf.org/doc/html/rfc6265)","ref":"HttpCookie.html"},{"type":"function","title":"HttpCookie.expired?/2","doc":"Checks if the cookie has expired.\n\nUses the current time if no time is provided.","ref":"HttpCookie.html#expired?/2"},{"type":"function","title":"HttpCookie.from_cookie_string/3","doc":"Creates an HttpCookie from a `Set-Cookie` header value.","ref":"HttpCookie.html#from_cookie_string/3"},{"type":"function","title":"Options - HttpCookie.from_cookie_string/3","doc":"- `:reject_public_suffixes` - controls whether to reject public suffixes to guard against \"supercookies\", defaults to true","ref":"HttpCookie.html#from_cookie_string/3-options"},{"type":"function","title":"HttpCookie.matches_url?/2","doc":"Checks if the cookie matches the provided request url.\n\nThe check is done as specified in [RFC 6265](https://datatracker.ietf.org/doc/html/rfc6265#section-5.4).","ref":"HttpCookie.html#matches_url?/2"},{"type":"function","title":"HttpCookie.to_header_value/1","doc":"Formats the cookie for sending in a \"Cookie\" header.","ref":"HttpCookie.html#to_header_value/1"},{"type":"function","title":"HttpCookie.update_last_access_time/2","doc":"Updates the cookie last access time.\n\nUses the current time if no time is provided.","ref":"HttpCookie.html#update_last_access_time/2"},{"type":"type","title":"HttpCookie.t/0","doc":"","ref":"HttpCookie.html#t:t/0"},{"type":"module","title":"HttpCookie.Jar","doc":"","ref":"HttpCookie.Jar.html"},{"type":"function","title":"HttpCookie.Jar.clear_expired_cookies/2","doc":"Removes cookies which expired before the provided time from the jar.\n\nUses the current time if no time is provided.","ref":"HttpCookie.Jar.html#clear_expired_cookies/2"},{"type":"function","title":"HttpCookie.Jar.clear_session_cookies/1","doc":"Removes session cookies from the jar.\n\nCookies which don't have an explicit expiry time set are considered session cookies and they expire when a user session ends.","ref":"HttpCookie.Jar.html#clear_session_cookies/1"},{"type":"function","title":"HttpCookie.Jar.get_cookie_header_value/2","doc":"","ref":"HttpCookie.Jar.html#get_cookie_header_value/2"},{"type":"function","title":"HttpCookie.Jar.get_matching_cookies/2","doc":"Gets all the cookies in the store which match the given request URL.","ref":"HttpCookie.Jar.html#get_matching_cookies/2"},{"type":"function","title":"HttpCookie.Jar.new/1","doc":"Creates a new empty cookie jar.","ref":"HttpCookie.Jar.html#new/1"},{"type":"function","title":"Options - HttpCookie.Jar.new/1","doc":"- `:reject_public_suffixes` - controls whether to reject public suffixes to guard against \"supercookies\", defaults to true","ref":"HttpCookie.Jar.html#new/1-options"},{"type":"function","title":"HttpCookie.Jar.put_cookie/2","doc":"Stores the provided cookie in the jar.","ref":"HttpCookie.Jar.html#put_cookie/2"},{"type":"function","title":"HttpCookie.Jar.put_cookies/2","doc":"Stores the provided cookies in the jar.","ref":"HttpCookie.Jar.html#put_cookies/2"},{"type":"function","title":"HttpCookie.Jar.put_cookies_from_headers/3","doc":"Processes the response header list for the given request URL.\nParses set-cookie/set-cookie2 headers and stores valid cookies.","ref":"HttpCookie.Jar.html#put_cookies_from_headers/3"},{"type":"type","title":"HttpCookie.Jar.t/0","doc":"","ref":"HttpCookie.Jar.html#t:t/0"},{"type":"extras","title":"HttpCookie","doc":"# HttpCookie\n\n[![License](https://img.shields.io/hexpm/l/http_cookie.svg)](https://github.com/reisub/http_cookie/blob/main/README.md#license)\n\n[RFC6265](https://datatracker.ietf.org/doc/html/rfc6265)-compliant HTTP Cookie implementation for Elixir.","ref":"readme.html"},{"type":"extras","title":"Installation - HttpCookie","doc":"The package can be installed by adding `http_cookie` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:http_cookie, \"~> 0.6.0\"},\n    # not needed if the public suffix check is disabled\n    {:public_suffix, github: \"axelson/publicsuffix-elixir\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"License - HttpCookie","doc":"Copyright (c) 2024 Dino Kovač\n\nLicensed under the Apache License, Version 2.0 (the \"License\");\nyou may not use this file except in compliance with the License.\nYou may obtain a copy of the License at [http://www.apache.org/licenses/LICENSE-2.0](http://www.apache.org/licenses/LICENSE-2.0)\n\nUnless required by applicable law or agreed to in writing, software\ndistributed under the License is distributed on an \"AS IS\" BASIS,\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\nSee the License for the specific language governing permissions and\nlimitations under the License.","ref":"readme.html#license"},{"type":"extras","title":"CHANGELOG","doc":"# CHANGELOG","ref":"changelog.html"},{"type":"extras","title":"v0.6.0 (2024-01-23) - CHANGELOG","doc":"* Added `HttpCookie.Jar` with basic functionality for a cookie jar\n  * Added comprehensive IETF test suite","ref":"changelog.html#v0-6-0-2024-01-23"},{"type":"extras","title":"v0.5.1 (2024-01-20) - CHANGELOG","doc":"* Changed nimble_parsec to dev-only dependency\n  * Added more typespecs","ref":"changelog.html#v0-5-1-2024-01-20"},{"type":"extras","title":"v0.5.0 (2024-01-16) - CHANGELOG","doc":"* Initial release with core functionality: parsing Set-Cookie headers, URL matching logic","ref":"changelog.html#v0-5-0-2024-01-16"}],"content_type":"text/markdown"}